<?php
/**
 * Rate of Gold Chart
 *
 *
 * Plugin Name:                 Rate of Gold Chart
 * Plugin URI:                  http://rateofgold.net
 * Description:                 Gold price chart.
 * Author:                              Oscar
 * Author URI:                  http://rateofgold.net
 *
 * Version:                             0.1
 * Requires at least:   3.1
 * Tested up to:                3.3 Beta 3
 *
 * @package                     Rateofgoldchart
 * @category                    Core
 * @author                      Oscar
 * @copyright                   Copyright (c) 2011 Rate of Gold.
 * @license                     
 */


// content filter
add_filter('the_content', 'rateofgoldchart_content_filter', 99);

// content filter
function rateofgoldchart_content_filter($content) {

  $embed = file_get_contents(dirname(__FILE__).'/rateofgold_embedded_chart.html');

//$embed = '<a href="test">TEST</a>';
  // replace the shortcode in the content
  $content = preg_replace('/\[rateofgoldchart\]/', $embed, $content);

  return $content;
}


/* Add our function to the widgets_init hook. */
add_action( 'widgets_init', 'rateofgoldchart_load_widgets' );

/* Function that registers our widget. */
function rateofgoldchart_load_widgets() {
	register_widget( 'RateOfGoldChart_Widget' );
}

class RateOfGoldChart_Widget extends WP_Widget {

  function RateOfGoldChart_Widget() {
    /* Widget settings. */
    $widget_ops = array( 'classname' => 'rateofgoldchart', 'description' => 'The rateofgold.net shared gold price chart.' );

    /* Widget control settings. */
    $control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'rateofgoldchart-widget' );

    /* Create the widget. */
    $this->WP_Widget( 'rateofgoldchart-widget', 'Rate of Gold Chart Widget', $widget_ops, $control_ops );
  }

  function widget( $args, $instance ) {
    extract( $args );

    /* Before widget (defined by themes). */
    echo $before_widget;

    $embed = file_get_contents(dirname(__FILE__).'/rateofgold_embedded_chart.html');
    echo $embed;

    /* After widget (defined by themes). */
    echo $after_widget;
  }

}

?>
